<?php
$title = "Main";

require 'include/header.php';

$db = sqlite_open("avrweb.sqlite");

$programmer = sqlite_single_query($db, "SELECT value FROM settings WHERE setting = 'programmer'");
$part = sqlite_single_query($db, "SELECT value FROM settings WHERE setting = 'part'");
?>

<div data-role="content">	

<?php if(!$programmer): ?>
	<p>Programmer not set. Go to Settings to select a programmer first.</p>
<?php else: ?>
	<ul data-role="listview" data-inset="true" data-divider-theme="a">
		<li data-role="list-divider">Microcontroller: <?= $part ? $part : '[unidentified]' ?></li>
	<?php if($part): ?>
		<li><a href="identify.php" data-rel="dialog">Re-identify MCU</a></li>
		<li><a href="fuses.php">Set fuses</a></li>
		<li><a href="test.php">Flash a test program</a></li>
	<?php else: ?>
		<li><a href="identify.php" data-rel="dialog">Identify MCU</a></li>
	<?php endif; ?>
	</ul>
<?php endif; ?>

</div><!-- /content -->

<?php
sqlite_close($db);
require 'include/footer.php';
?>
