<?php
$title = "Init DB";
require 'include/header.php';
$db = sqlite_open("avrweb.sqlite");
?>

	<div data-role="content">	
	
<?php
@sqlite_query($db, "DELETE FROM programmers", $sqliteerror);
@sqlite_query($db, "DELETE FROM parts", $sqliteerror);

/*$result=sqlite_query($db,"SELECT * from foo");
$count=sqlite_single_query($db,"SELECT count(text) from foo");
while($row=sqlite_fetch_array($result)) {
   print_r($row);
   echo "<br>";
}*/

function write_row($mode, $row) {
	global $db;
	
	if($mode == 'programmer')
		sqlite_query($db, "INSERT INTO programmers ('shorthand', 'description') VALUES ('" .
			sqlite_escape_string($row['id']) . "', '" . 
			sqlite_escape_string($row['desc']) . "')"); 
	else
		sqlite_query($db, "INSERT INTO parts ('shorthand', 'description', 'signature') VALUES ('" .
			sqlite_escape_string($row['id']) . "', '" . 
			sqlite_escape_string($row['desc']) . "', '" . 
			sqlite_escape_string($row['sig']) . "')"); 
	//echo $mode . ": " . $row['id'] . ' / ' . $row['desc'] . " (" . $row['sig'] . ")<br/>\n";
}

if($_FILES['uploadedfile']['error'] == UPLOAD_ERR_OK && 
   is_uploaded_file($_FILES['conf']['tmp_name'])) {
	$conf = file_get_contents("C:/WinAVR-20100110/bin/avrdude.conf"); #$_FILES['conf']['tmp_name']);
	$conflines = explode("\n", $conf);
		
	foreach($conflines as $line) {
		$line = trim($line);
		
		if($line == "part" || $line == "programmer") {
			if(isset($mode))
				write_row($mode, $row);
			$mode = $line;
			$row = array();
		} elseif(preg_match("/(\w+)\s*=\s*\"(.+)\"/", $line, $matches)) {
			$row[$matches[1]] = $matches[2];
		} elseif(preg_match("/signature\s*=\s*0x(\w\w)\s+0x(\w\w)\s+0x(\w\w)/", $line, $matches)) {
			$row['sig'] = strtoupper($matches[1] . $matches[2] . $matches[3]);
		}
	}
	
	echo "<p>Configuration file uploaded.</p>";
} else {
	echo "<p>Upload avrdude.conf to import programmer and part information to database.</p>";
}
?>
			
		<form action="<?= $_SERVER['PHP_SELF'] ?>" method="post" data-ajax="false" 
		enctype="multipart/form-data">
		
			<div data-role="fieldcontain">
	        <label for="conf">Configuration file:</label>
	        <input type="file" name="conf" id="conf"  />
			</div>
			
			<button type="submit" name="submit" value="submit-value" data-theme="b">Submit</button>
		</form>
	</div><!-- /content -->

<?php
sqlite_close($db);
require 'include/footer.php';
?>
